## pyxnat 1.0.1.0

=== requirements.txt ===
lxml==2.3.2
requests=2.1.0

## pyxnat 0.9.0~dev0

=== debian/changelog ===
pyxnat (0.9.0~dev0-1ubuntu1) precise; urgency=low

  * Disable tests at package build time, since they mostly require network
    access.  Use DEB_BUILD_OPTIONS=check to run them.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 14:23:36 +0000

pyxnat (0.9.0~dev0-1) unstable; urgency=low

  * Initial release (Closes: #609820).

 -- Yannick Schwartz <yannick.schwartz@cea.fr>  Thu, 08 Sep 2011 15:31:48 -0400

=== debian/control ===
Source: pyxnat
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Yannick Schwartz <yannick.schwartz@cea.fr>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.2.18),
	       python-all,
	       python-lxml,
	       python-httplib2 (>= 0.7.0),
	       python-simplejson,
	       python-nose
Standards-Version: 3.9.2
Homepage: http://packages.python.org/pyxnat/
Vcs-Git: git://github.com/pyxnat/pyxnat.git
Vcs-Browser: https://github.com/pyxnat/pyxnat.git

Package: python-pyxnat
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
		python-lxml,
		python-simplejson,
		python-httplib2 (>= 0.7.0),
Recommends: python-networkx,
            python-matplotlib
Provides: ${python:Provides}
Description: Interface to access neuroimaging data on XNAT servers
 pyxnat is a simple Python library that relies on the REST API provided
 by the XNAT platform since its 1.4 version. XNAT is an extensible
 database for neuroimaging data. The main objective is to ease
 communications with an XNAT server to plug-in external tools or Python
 scripts to process the data. It features:
 .
  - resources browsing capabilities
  - read and write access to resources
  - complex searches
  - disk-caching of requested files and resources

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE_NAME = python-pyxnat
PACKAGE_ROOT_DIR = debian/${PACKAGE_NAME}
INSTALL_PATH = $(CURDIR)/debian/${PACKAGE_NAME}

# default Python
PYTHON=$(shell pyversions -d)

%:
	dh $@

override_dh_auto_test:
	: # Do not test just after build, lets install and then test

override_dh_auto_install:
	dh_auto_install

# All tests later on
# cd build to prevent use of local/not-built source tree
ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
	cd build; \
	for PYTHON in $(shell pyversions -r); do \
		echo "I: Running pyxnat unittests using $$PYTHON"; \
		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages):$$PYTHONPATH \
		$$PYTHON /usr/bin/nosetests --exclude=test_del_provenance pyxnat; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf doc/build build

## pyxnat 0.9.1+git39-g96bf069

=== debian/changelog ===
pyxnat (0.9.1+git39-g96bf069-1~nd+1) sid; urgency=low

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 06 Dec 2012 20:20:03 -0500

pyxnat (0.9.1+git39-g96bf069-1) experimental; urgency=low

  * New upstream snapshot from origin/master at 0.9.1-39-g96bf069:
    - should resolve various issues while connecting to recent XNAT 1.6.x
  * debian/control:
    - boosted policy to 3.9.4 (no changes)
    - changed maintainer to NeuroDebian due to inability to reach original
      maintainer
  * debian/copyright:
    - updated for DEP5 v1.0
  * debian/rules
    - fail if any test fail
    - skip more of failing tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Dec 2012 23:09:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: pyxnat
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yannick Schwartz <yannick.schwartz@cea.fr>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>, Yannick Schwartz <yannick.schwartz@cea.fr>
 Build-Depends: debhelper (>= 7.2.18),
 	       python-all,
 	       python-lxml,
 	       python-httplib2 (>= 0.7.0),
 	       python-simplejson,
 	       python-nose
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://packages.python.org/pyxnat/
 Vcs-Git: git://github.com/pyxnat/pyxnat.git
 Vcs-Browser: https://github.com/pyxnat/pyxnat.git
 
 Package: python-pyxnat
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends},
 		python-lxml,
 		python-simplejson,
 		python-httplib2 (>= 0.7.0),

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,12 @@
 
 # All tests later on
 # cd build to prevent use of local/not-built source tree
-ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd build; \
-	for PYTHON in $(shell pyversions -r); do \
+	set -e; for PYTHON in $(shell pyversions -r); do \
 		echo "I: Running pyxnat unittests using $$PYTHON"; \
 		PYTHONPATH=$$(/bin/ls -d $(INSTALL_PATH)/usr/lib/$$PYTHON/*-packages):$$PYTHONPATH \
-		$$PYTHON /usr/bin/nosetests --exclude=test_del_provenance pyxnat; \
+		$$PYTHON /usr/bin/nosetests -v --exclude="test_(del_provenance|attr_mset|subject._delete)" pyxnat; \
 	done
 endif

## pyxnat 1.0.1.0

=== debian/changelog ===
pyxnat (1.0.1.0-1) unstable; urgency=medium

  * Team upload.
  * debhelper 10
  * Standards-Version: 4.2.1
  * Testsuite: autopkgtest-pkg-python
  * Point Vcs fields to Salsa
  * No need for gbp.conf
  * Drop debian/pyversions
  * Use pybuild
  * cme fix dpkg-copyright
  * Build-Depends: python-requests
  * Simplify d/rules by using pybuild
  * Exclude tests that need remote access
  * d/watch: point to pypi.python.org since Github tags do not seem to
    be properly updated
  * Add d/README.source explaining Python3 compatibility issue
  * Package does not use python-support any more
    Closes: #642471

 -- Andreas Tille <tille@debian.org>  Mon, 17 Sep 2018 13:01:55 +0200

pyxnat (0.9.0~dev0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Since running tests currently means an internet connection is needed,
    only run them when DEB_BUILD_OPTIONS contains “check-through-internet”
    (unquoted), so that buildds can happily build packages without
    performing any tests, and so that developers can still run the tests
    if they so desire (Closes: #642817).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Feb 2012 00:00:39 +0000

=== debian/control ===
Source: pyxnat
Maintainer: Yannick Schwartz <yannick.schwartz@cea.fr>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 10~),
               dh-python,
               python-all,
               python-lxml,
               python-httplib2,
               python-requests,
               python-simplejson,
               python-nose
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/neurodebian-team/pyxnat
Vcs-Git: https://salsa.debian.org/neurodebian-team/pyxnat.git
Homepage: http://packages.python.org/pyxnat/

Package: python-pyxnat
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-lxml,
         python-simplejson,
         python-httplib2
Recommends: python-networkx,
            python-matplotlib
Provides: ${python:Provides}
Description: Interface to access neuroimaging data on XNAT servers
 pyxnat is a simple Python library that relies on the REST API provided
 by the XNAT platform since its 1.4 version. XNAT is an extensible
 database for neuroimaging data. The main objective is to ease
 communications with an XNAT server to plug-in external tools or Python
 scripts to process the data. It features:
 .
  - resources browsing capabilities
  - read and write access to resources
  - complex searches
  - disk-caching of requested files and resources

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyxnat

export PYBUILD_BEFORE_TEST=cp -a pyxnat/tests/central.cfg {build_dir}/pyxnat/tests ; \
                           cp -a pyxnat/tests/hello_dir.zip  {build_dir}/pyxnat/tests ; \
                           rm {build_dir}/pyxnat/tests/attributes_test.py ; \
                           rm {build_dir}/pyxnat/tests/custom_variables_test.py ; \
                           rm {build_dir}/pyxnat/tests/experiments_tests.py ; \
                           rm {build_dir}/pyxnat/tests/provenance_test.py ; \
                           rm {build_dir}/pyxnat/tests/resources_test.py ; \
                           rm {build_dir}/pyxnat/tests/scans_tests.py ; \
                           rm {build_dir}/pyxnat/tests/search_test.py ; \
                           rm {build_dir}/pyxnat/tests/user_and_project_management_test.py ; \
                           rm {build_dir}/pyxnat/tests/xpath_test.py ;
#export PYBUILD_AFTER_TEST=rm {build_dir}/pyxnat/tests/central.cfg ; \
#                          rm {build_dir}/pyxnat/tests/hello_dir.zip 

PYBUILD_TEST_ARGS_python2=-k-Xtest_subject1_delete -k-Xtest_subject2_delete

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=4

https://pypi.python.org/simple/pyxnat .*/pyxnat-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## pyxnat 1.3

=== requirements.txt ===
lxml>=4.3.2
requests>=2.20
future>=0.16
pandas>=0.24

=== debian/changelog ===
pyxnat (1.3-2) unstable; urgency=medium

  * Team upload.
  * Remove trailing whitespace in debian/control (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 May 2020 13:40:05 +0200

pyxnat (1.3-1) unstable; urgency=medium

  * Team upload.
  * Move maintenance to Debian Med team
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Switch to Python3
    Closes: #938307
  * Build-Depends: python3-setuptools
  * Fix Homepage
  * Point watch file to Github since only this tarball contains tests
    and examples (see https://github.com/pyxnat/pyxnat/issues/125)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add lintian-override
  * Cleanup d/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 29 Apr 2020 11:40:26 +0200

=== debian/control ===
Source: pyxnat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yannick Schwartz <yannick.schwartz@cea.fr>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-lxml,
               python3-httplib2,
               python3-requests,
               python3-simplejson,
               python3-nose,
               python3-pandas
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pyxnat
Vcs-Git: https://salsa.debian.org/med-team/pyxnat.git
Homepage: https://github.com/pyxnat/pyxnat
Rules-Requires-Root: no

Package: python3-pyxnat
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-lxml,
         python3-simplejson,
         python3-httplib2,
         python3-pandas <!nocheck>
Recommends: python3-networkx,
            python3-matplotlib
Provides: ${python:Provides}
Description: Interface to access neuroimaging data on XNAT servers
 pyxnat is a simple Python library that relies on the REST API provided
 by the XNAT platform since its 1.4 version. XNAT is an extensible
 database for neuroimaging data. The main objective is to ease
 communications with an XNAT server to plug-in external tools or Python
 scripts to process the data. It features:
 .
  - resources browsing capabilities
  - read and write access to resources
  - complex searches
  - disk-caching of requested files and resources

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyxnat

export PYBUILD_BEFORE_TEST=cp -a pyxnat/tests {build_dir}/pyxnat ; \
                           rm {build_dir}/pyxnat/tests/attributes_test.py ; \
                           rm {build_dir}/pyxnat/tests/custom_variables_test.py ; \
                           rm {build_dir}/pyxnat/tests/experiments_tests.py ; \
                           rm {build_dir}/pyxnat/tests/provenance_test.py ; \
                           rm {build_dir}/pyxnat/tests/resources_test.py ; \
                           rm {build_dir}/pyxnat/tests/scans_tests.py ; \
                           rm {build_dir}/pyxnat/tests/search_test.py ; \
                           rm {build_dir}/pyxnat/tests/user_and_project_management_test.py ; \
                           rm {build_dir}/pyxnat/tests/xpath_test.py ;
#export PYBUILD_AFTER_TEST=rm {build_dir}/pyxnat/tests/central.cfg ; \
#                          rm {build_dir}/pyxnat/tests/hello_dir.zip
export PYXNAT_SKIP_NETWORK_TESTS=yes

PYBUILD_TEST_ARGS_python3=-k-Xtest_close_jsession -k-Xtest_001_sessionmirror

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --with python3 --buildsystem=pybuild

## pyxnat 1.4

=== requirements.txt ===
lxml>=4.3.2
requests>=2.20
pathlib>=1.0.1
six>=1.15
future>=0.16

=== debian/changelog ===
pyxnat (1.4-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Remove debian/blends

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 16:17:21 +0200

pyxnat (1.4-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Remove Yannick Schwartz from Uploaders

  [ Nilesh Patra ]
  * New upstream version 1.4
  * Refresh patches
  * debhelper-compat 13 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 31 Oct 2020 20:34:19 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: pyxnat
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Yannick Schwartz <yannick.schwartz@cea.fr>,
-           Yaroslav Halchenko <debian@onerussian.com>,
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -16,7 +15,7 @@
                python3-simplejson,
                python3-nose,
                python3-pandas
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pyxnat
 Vcs-Git: https://salsa.debian.org/med-team/pyxnat.git
 Homepage: https://github.com/pyxnat/pyxnat

=== debian/watch ===
version=4

# Point watch file to Github since only this tarball contains tests
# and examples (see https://github.com/pyxnat/pyxnat/issues/125)

https://github.com/pyxnat/pyxnat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# https://pypi.python.org/simple/pyxnat .*/pyxnat-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## pyxnat 1.5

=== debian/changelog ===
pyxnat (1.5-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Create sensible file name for upstream source

  [ Étienne Mollier ]
  * pytest.patch: add; port test suite to pytest.
  * d/control: replace nose by pytest. (Closes: #1018603)

 -- Étienne Mollier <emollier@debian.org>  Tue, 06 Dec 2022 22:37:28 +0100

pyxnat (1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Update patches
  * Update lintian-overrides

 -- Andreas Tille <tille@debian.org>  Sat, 17 Sep 2022 16:54:41 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                python3-httplib2,
                python3-requests,
                python3-simplejson,
-               python3-nose,
+               python3-pytest,
                python3-pandas
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/pyxnat
 Vcs-Git: https://salsa.debian.org/med-team/pyxnat.git
 Homepage: https://github.com/pyxnat/pyxnat

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export PYBUILD_NAME=pyxnat
 
 export PYBUILD_BEFORE_TEST=cp -a pyxnat/tests {build_dir}/pyxnat ; \
+                           rm {build_dir}/pyxnat/tests/0_setup_dock_xnat_test.py; \
                            rm {build_dir}/pyxnat/tests/attributes_test.py ; \
                            rm {build_dir}/pyxnat/tests/custom_variables_test.py ; \
                            rm {build_dir}/pyxnat/tests/experiments_tests.py ; \

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/pyxnat/pyxnat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pyxnat 1.6.2

=== requirements.txt ===
lxml>=4.3.2
requests>=2.20
pathlib>=1.0.1

=== debian/changelog ===
pyxnat (1.6.2-3) unstable; urgency=medium

  * d/patches/*: normalize last update timestamp.
  * d/control: declare compliance to standards version 4.7.0.
  * syntax-warning.patch: fix Python SyntaxWarning. (Closes: #1086983)
  * d/lintian-overrides: flag false positive doc outside /usr/share.

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 Dec 2024 11:42:48 +0100

pyxnat (1.6.2-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-simplejson.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 31 Aug 2024 11:43:31 +0200

pyxnat (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2
  * skip_test_with_remote_connection.patch: refresh.
  * skip_tests.patch: refresh.
  * 4e41c85665f4e9c49be7213c63d06f18ed594e29.patch.
    Patch deleted: it is applied upstream.
  * d/rules: update test preparation step.
    This change notably attempts to make the code block more readable,
    cleans up the removal list, skips the new test file needing Internet
    project_manager_test.py, and create .central.cfg and .devxnat.cfg as
    they are expected by certain tests attempting connection to a local
    server.

 -- Étienne Mollier <emollier@debian.org>  Tue, 30 Jan 2024 22:06:48 +0100

pyxnat (1.6-2) unstable; urgency=medium

  * Team upload.
  * remove extraneous depedency on python3-future
    Closes: #1058065
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2023 16:44:54 +0100

pyxnat (1.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * skip_tests.patch: refresh.
  * pytest.patch: delete: applied upstream.
  * skip_tests.patch: declare forwarding not needed.
  * skip_test_with_remote_connection.patch: forwarding not needed.
  * skip-pytest-coverage.patch: new: fix test invocation failure.
  * sessionmirror.py.1: add maintainer manual page.
    Note the addition of the manual page also required declaration in
    d/manpages and adjustments to dh_installman options because of the
    file extension of the script.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Mon, 09 Oct 2023 20:59:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: pyxnat
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>
+           Michael Hanke <michael.hanke@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-lxml,
                python3-httplib2,
                python3-requests,
-               python3-simplejson,
                python3-pytest,
                python3-pandas
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/pyxnat
 Vcs-Git: https://salsa.debian.org/med-team/pyxnat.git
 Homepage: https://github.com/pyxnat/pyxnat
@@ -26,7 +26,6 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-lxml,
-         python3-simplejson,
          python3-httplib2,
          python3-pandas <!nocheck>
 Recommends: python3-networkx,

## pyxnat 1.6.3

=== debian/changelog ===
pyxnat (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3
  * d/control: declare compliance to standards version 4.7.1.
  * syntax-warning.patch: delete: applied upstream.
  * skip_test_with_remote_connection.patch: skip more network issues.

 -- Étienne Mollier <emollier@debian.org>  Sun, 23 Feb 2025 22:27:01 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-requests,
                python3-pytest,
                python3-pandas
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/med-team/pyxnat
 Vcs-Git: https://salsa.debian.org/med-team/pyxnat.git
 Homepage: https://github.com/pyxnat/pyxnat

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyxnat

export PYBUILD_BEFORE_TEST=set -e \
	; cp -a pyxnat/tests {build_dir}/pyxnat \
	; cp pyxnat/tests/central.cfg {build_dir}/.central.cfg \
	; cp pyxnat/tests/central.cfg {build_dir}/.devxnat.cfg \
	; rm -f {build_dir}/pyxnat/tests/attributes_test.py \
	; rm -f {build_dir}/pyxnat/tests/custom_variables_test.py \
	; rm -f {build_dir}/pyxnat/tests/project_manager_test.py \
	; rm -f {build_dir}/pyxnat/tests/provenance_test.py \
	; rm -f {build_dir}/pyxnat/tests/resources_test.py \
	; rm -f {build_dir}/pyxnat/tests/search_test.py \
	; rm -f {build_dir}/pyxnat/tests/user_and_project_management_test.py \
	; rm -f {build_dir}/pyxnat/tests/xpath_test.py

export PYXNAT_SKIP_NETWORK_TESTS=yes

PYBUILD_TEST_ARGS_python3=-k-Xtest_close_jsession -k-Xtest_001_sessionmirror

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --buildsystem=pybuild

override_dh_installman:
	dh_installman --language=C

## pyxnat 1.6.4

=== debian/changelog ===
pyxnat (1.6.4-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove Python2 vs 3 crumb

  [ Chris Lamb ]
  * d/rules: cleanup generated files.
    Make the build reproducible independently of whether tests are run.
    Signed-off-by: Étienne Mollier <emollier@debian.org> (Closes: #1121069)

  [ Étienne Mollier ]
  * New upstream version 1.6.4
  * d/copyright: document bin/sessionmirror.py.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: convert to v5 Github template.
  * d/lintian-overrides: drop unnecessary overrides.

 -- Étienne Mollier <emollier@debian.org>  Mon, 24 Nov 2025 22:46:02 +0100

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
                python3-requests,
                python3-pytest,
                python3-pandas
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/pyxnat
 Vcs-Git: https://salsa.debian.org/med-team/pyxnat.git
 Homepage: https://github.com/pyxnat/pyxnat
-Rules-Requires-Root: no
 
 Package: python3-pyxnat
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,17 @@
 	; rm -f {build_dir}/pyxnat/tests/user_and_project_management_test.py \
 	; rm -f {build_dir}/pyxnat/tests/xpath_test.py
 
+export PYBUILD_AFTER_TEST=set -e \
+	; rm {build_dir}/pyxnat/tests/central.cfg \
+	; rm {build_dir}/pyxnat/tests/sess.xml \
+	; rm {build_dir}/pyxnat/tests/results.csv \
+	; rm {build_dir}/pyxnat/tests/hello_again.txt \
+	; rm {build_dir}/pyxnat/tests/hello_dir.zip \
+	; rm {build_dir}/pyxnat/tests/hello_xnat.txt
+
 export PYXNAT_SKIP_NETWORK_TESTS=yes
 
-PYBUILD_TEST_ARGS_python3=-k-Xtest_close_jsession -k-Xtest_001_sessionmirror
+PYBUILD_TEST_ARGS=-k-Xtest_close_jsession -k-Xtest_001_sessionmirror
 
 export  http_proxy=http://127.0.0.1:9/
 export  https_proxy=http://127.0.0.1:9/

=== debian/watch ===
Version: 5

Template: Github
Owner: pyxnat
Project: pyxnat
